#ifndef __COLLECT_H__
#define __COLLECT_H__

#include <vector>
#include <string>
#include <ostream>

using namespace std;

#include "sm_array.h"

const vector<string> menu = {
    "(d)isplay",
    "(a)dd",
    "(r)emove",
    "(s)huffle",
    "(b)egin",
};

ostream & operator<<(ostream &, const vector<string> &);

garray initial_restaurants();
garray populate_restaurants();

#endif
